org.flexdock.plaf

## Interface XMLConstants

- All Known Subinterfaces:
    IFlexViewComponentUI
  All Known Implementing Classes:
    ButtonUI, Configurator, FlexViewComponentUI, IconResourceFactory, MetalTitlebarUI, PlafMappingFactory, ResourceHandlerFactory, SkinLFTitlebarUI, TitlebarUI, UIFactory, ViewUI

      public interface XMLConstants

  Author:
    Christopher Butler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_KEY`
    `static java.lang.String` | `CLASSNAME_KEY`
    `static java.lang.String` | `CONSTRUCTOR_KEY`
    `static java.lang.String` | `DESC_KEY`
    `static java.lang.String` | `EXTENDS_KEY`
    `static java.lang.String` | `HANDLER_KEY`
    `static java.lang.String` | `INHERITS_KEY`
    `static java.lang.String` | `NAME_KEY`
    `static java.lang.String` | `OVERRIDDEN_KEY`
    `static java.lang.String` | `PROP_HANDLER_KEY`
    `static java.lang.String` | `PROPERTY_KEY`
    `static java.lang.String` | `REFERENCE_KEY`
    `static java.lang.String` | `VALUE_KEY`

- - ### Field Detail

    - #### CONSTRUCTOR_KEY

          static final java.lang.String CONSTRUCTOR_KEY

      See Also:
        Constant Field Values

    - #### CLASSNAME_KEY

          static final java.lang.String CLASSNAME_KEY

      See Also:
        Constant Field Values

    - #### REFERENCE_KEY

          static final java.lang.String REFERENCE_KEY

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_KEY

          static final java.lang.String ATTRIBUTE_KEY

      See Also:
        Constant Field Values

    - #### PROPERTY_KEY

          static final java.lang.String PROPERTY_KEY

      See Also:
        Constant Field Values

    - #### NAME_KEY

          static final java.lang.String NAME_KEY

      See Also:
        Constant Field Values

    - #### DESC_KEY

          static final java.lang.String DESC_KEY

      See Also:
        Constant Field Values

    - #### VALUE_KEY

          static final java.lang.String VALUE_KEY

      See Also:
        Constant Field Values

    - #### EXTENDS_KEY

          static final java.lang.String EXTENDS_KEY

      See Also:
        Constant Field Values

    - #### HANDLER_KEY

          static final java.lang.String HANDLER_KEY

      See Also:
        Constant Field Values

    - #### PROP_HANDLER_KEY

          static final java.lang.String PROP_HANDLER_KEY

      See Also:
        Constant Field Values

    - #### INHERITS_KEY

          static final java.lang.String INHERITS_KEY

      See Also:
        Constant Field Values

    - #### OVERRIDDEN_KEY

          static final java.lang.String OVERRIDDEN_KEY

      See Also:
        Constant Field Values